Bug 9454 - fdisk returns "Unable to open /dev/hda" during installation
fdisk returns "Unable to open /dev/hda" during installation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-14 21:52 EST by claperle
Modified: 2015-01-07 18:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-18 06:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description claperle 2000-02-14 21:52:25 EST
This problem has 2 parts:

1) When I do an expert installation, the option to switch to fdisk, instead
of DiskDruid, is not shown on the partition page/window. To be able to use
fdisk, I need to open a virtual shell using Ctrl-Alt-F2.

2) When I try to use fdisk in the virtual shell using "fdisk /dev/hda", I
get "Unable to open /dev/hda".

In other words, no matter what, I cannot use fdisk to do the partitionning
instead of DiskDruid. Is there a way to use fdisk instead of DiskDruid as
mentionned in the documentation?
Comment 1 Cristian Gafton 2000-02-17 18:37:59 EST
I suppose you need to create a mknod for the hda first. Are you sure you have an
IDE disk on your system?

this is an installer problem
Comment 2 Jay Turner 2000-02-18 06:56:59 EST
Fdisk is available to the user in expert mode in the 6.1 release.  So, at the
boot prompt, just type "linux expert" and when you get to the Installation Class
screen (where you select Workstation or Server or Custom, etc.) there is a
little checkbox in the upper right corner which will allow you to use fdisk
instead of Disk Druid for partitioning.

Note You need to log in before you can comment on or make changes to this bug.